import java.io.*;
import java.awt.*;
import javax.swing.*;
import Charge;


/******************************************/
/*                                        */
/* Class: ChargeApplet                    */
/*                                        */
/******************************************/

public class ChargeApplet extends JApplet implements Runnable {

  private Charge charge;
  Thread t;

  public void init() {
    byte[] parse = {(byte)'I',(byte)'T',(byte)'J',(byte)' ',(byte)'0',(byte)' ',(byte)'1',(byte)' ',(byte)'1',(byte)'\t',(byte)'"',(byte)'H',(byte)'i',(byte)'"',(byte)' ',(byte)'%',(byte)'%',(byte)'%',(byte)'\n'};
    
    try {
      charge = new Charge( parse, true /* in applet */ );
    }
    catch (IOException e) {
      destroy();
    }
    charge.newDisplay(0);
    setContentPane(charge.getContentPane());
    validate();
  }

  public void start() {
    if (t == null) {
      t = new Thread(this);
      t.start();
    }
  }

  public void stop() {
    t = null;
  }

  public void run () {
    while (t != null) {
      try {
	t.sleep(100);
      }
      catch (InterruptedException e) {
      }
      if (charge.isChanged) {
	charge.isChanged = false;
	validate();
      }
    }
  }
}
